Subject: Re: commit-graph paranoia performance, was Re: [ANNOUNCE] Git v2.43.0-rc1

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Nov 2023 08:50:22 +0900

Jeff King <[email-masked]> writes:

> Should we default GIT_COMMIT_GRAPH_PARANOIA to "0"? Yes, some operations
> might miss a breakage, but that is true of so much of Git. For day to
> day commands we generally assume that the repository is not corrupted,
> and avoid looking at any data we can. Other commands (like "commit-graph
> verify", but maybe others) would probably want to be more careful
> (either by checking this case explicitly, or by enabling the paranoia
> flag themselves).

I am obviously fine with that direction, as that was exactly the
stance I took when we discussed the topic on "rev-list --missing"
;-)

Patrick?  Karthik?